#ifndef __IUF_AST
#define __IUF_AST
/** This class represent a generic asteroid.

*/
class Ast : public GameObj
{
public:
	 /** Default Sizes of Asteroids
	 @name LargeSize=12, MediumSize=6, SmallSize=3
	 The asteroids has only three valid sizes. When an asteroid explode 
	 it splits into two (or more) smaller asteroids
	 */
	 enum {LargeSize=12, MediumSize=6, SmallSize=3};
	
	/** The radius (mt) of the Asteroid */
	float size;
	/** default constructor sets also the radius
*/
	Ast(){
		size=1;
		}
/** Specialized constructor to set also angular velocity and size
	*/
Ast(const Point3f &_p, const float _angle, const Point3f &_v, float _av,float _size):
			GameObj(_p,_angle,_v){
				av=_av;
				size=_size;
			}

/** 
Draw the asteroid shape (just a square with the give size)
*/
	virtual void Draw();
};
#endif