#ifndef __IUF_GAMEINTRO
#define __IUF_GAMEINTRO

#include <vcg/Point3.h>
#include <list>
#include "GameSection.h"
#include "GameIntro.h"
#include "Triangle.h"

/** This class represent the intro of the game.
Version History {\small 
\begin{itemize}
\item 0.4 First Release.
\end{itemize}
}


*/

using namespace vcg;
using namespace std;
class GameIntro:public GameSection
{
 public:
	 GameIntro()
		 {A.Open("A.raw");}
 /** Manage key pression.
 */
 void Key(unsigned char key);
 
 /** The Mesh of the rotating A
 */
 Mesh A;

 /// Initializing Stuff
 void Init();
 /// Draw the Rotating A and the "press key..." string
 void Draw();
 /** Typical Reshape.
 Very similar to \Ref{GameSession}
 */

 void Reshape(int w, int h);
};

#endif